Subject: Re: [PATCH v3 1/2] kconfig: Remove the architecture specific config for AutoFDO

From: Nathan Chancellor <[email-masked]>
Date: Mon, 1 Jun 2026 12:24:58 -0700

On Mon, Jun 01, 2026 at 09:52:56AM -0700, Rong Xu wrote:
> On Fri, May 29, 2026 at 5:47 PM Nathan Chancellor <[email-masked]> wrote:
> >
> > On Wed, 27 May 2026 14:45:07 -0700, [email-masked] <[email-masked]> wrote:
> > > The CONFIG_AUTOFDO_CLANG option currently depends on
> > > ARCH_SUPPORTS_AUTOFDO_CLANG, but this dependency seems unnecessary.
> > >
> > > Remove ARCH_SUPPORTS_AUTOFDO_CLANG and allow users to control AutoFDO
> > > builds solely through CONFIG_AUTOFDO_CLANG. This simplifies the kconfig
> > > and avoids potential confusion.
> >
> > It is worth noting that not all architectures support
> > '-fsplit-machine-functions' but I guess that does not matter too much
> > because it will only be used if a profile is provided, which would
> > require an architecture that is supported by the AutoFDO tooling? The
> > documentation is x86_64 focused but aarch64 works as well, any others
> > that the kernel supports?
> 
> Current support extends to x86_64 and arm64 architectures only.
> 
> We initially considered making arm64 to opt-in, Will suggests that users should
> be expected to verify AutoFDO/Propeller compatibility independently
> before using it.
> This approach allows for the removal of ARCH_SUPPORTS_..., which prevents
> potential confusion.

Right, in cases where the build does not break (i.e., this case), I
think it is fine to leave things open to selection and restrict them
when they become confusing or problematic for users based on real
feedback.

-- 
Cheers,
Nathan